import { DeepClient } from '@deep-foundation/deeplinks/imports/client.js';
import { Link } from '@deep-foundation/deeplinks/imports/minilinks.js';
import { DeviceInfo } from './device-info.js';
export declare function saveDeviceInfo(param: GetDeviceParam): Promise<void>;
export type GetDeviceParam = {
    deep: DeepClient;
    info?: DeviceInfo;
} & ({
    deviceLinkId: number;
} | {
    deviceLink: Link<number>;
});
