import { DeepClient } from "@deep-foundation/deeplinks/imports/client.js";
import { Link } from "@deep-foundation/deeplinks/imports/minilinks.js";
import { DeviceInfo } from "./device-info.js";
export declare function insertDevice(param: InsertDeviceParam): Promise<InsertDeviceResult>;
export interface InsertDeviceParam {
    deep: DeepClient;
    info: DeviceInfo | undefined;
    containerLinkId: number;
}
export interface InsertDeviceResult {
    deviceLink: Link<number>;
}
