import { useDeviceInsertionIfDoesNotExistAndSavingData } from './use-device-insertion-if-does-not-exist-and-saving-data.js';
export function WithDeviceInsertionIfDoesNotExistAndSavingdata(props) {
    const { containerLinkId, deep, deviceLinkId, setDeviceLinkId, children, renderIfLoading, renderIfNotInserted, } = props;
    const { isLoading } = useDeviceInsertionIfDoesNotExistAndSavingData({
        deep,
        containerLinkId,
        deviceLinkId,
        setDeviceLinkId,
    });
    if (isLoading) {
        return renderIfLoading();
    }
    if (deviceLinkId) {
        return children;
    }
    else {
        return renderIfNotInserted();
    }
}
